%define name xsadp
%define version 3.0.1b
%define release 1mdk

Summary: Sing Along Disc Player (X version)
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: free and open source
Group: Sound
Source: %{name}-%{version}.tar.bz2
URL: http://www.alphalink.com.au/~michg/ace/sadp
Buildroot: /var/tmp/%{name}-buildroot

%description
SADP is and advanced CD player for Linux X11.
Features: spectrum analyser, oscillator, 
on-board mixer, shiffle mode, multiple play
lists and skip lists. Maintains local data
base and provides access to remote CD data
bases over the Internet. New features:
compressed fast access data base, basic
CD-TEXT and CD-Extra support, interactive
icon and docking facilities with Window Maker.
Sound driver and internet support are
essential but not mandatory. SADP can be
customized for a particular brand of CD
through time-out options. Special support
for SCSI CD ROM and IDE SCSI emulation
is provided. Available in console mode
(ncurses 3+, 5.0 recommended) and GUI
mode (XForms 0.81+, 0.88 recommended).


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --prefix=$RPM_BUILD_ROOT/usr

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi 

make -j$NRPROC

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 {sadp,xsadp} $RPM_BUILD_ROOT/usr/bin/

install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 {sadp.1,xsadp.1} $RPM_BUILD_ROOT/usr/man/man1/

install -m 755 -d $RPM_BUILD_ROOT//usr/X11R6/include/X11/pixmaps/
install -m 644 icons/* $RPM_BUILD_ROOT//usr/X11R6/include/X11/pixmaps/

install -m 755 -d $RPM_BUILD_ROOT/etc
install -m 644 rcddb.sites $RPM_BUILD_ROOT/etc/


%files
%defattr (-,root,root)
%doc README.1ST.OLD COPYRIGHT Readme.install TODO
%doc xsadp.lsm
%doc documentation/CDExtension.txt 
%doc documentation/DataBase.txt 
%doc documentation/KernelMisc.txt 
%doc documentation/MiniWindow.txt 
/usr/bin/*
#/usr/share/sadp
/usr/man/man1/*
/usr/X11R6/include/X11/pixmaps/mini-sadp.xpm
/usr/X11R6/include/X11/pixmaps/sadp_transparent_32x32.xpm
/usr/X11R6/include/X11/pixmaps/sadp_transparent_64x64.xpm
/usr/X11R6/include/X11/pixmaps/sadp_32x32.xpm
/usr/X11R6/include/X11/pixmaps/sadp_44x38.xpm
/usr/X11R6/include/X11/pixmaps/sadp_48x48.xpm
/usr/X11R6/include/X11/pixmaps/sadp_64x64.xpm
/usr/X11R6/include/X11/pixmaps/sadp_16c.xpm

#/usr/X11R6/lib/X11/app-defaults/XSadp
/etc/rcddb.sites

%changelog
* Mon Mar 13 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
